﻿@model IEnumerable<Bacchus.Models.AuctionObject>

@{
    ViewBag.Title = "Home Page";
}

<h2>All offers</h2>

<!DOCTYPE html>
<html>
<head>
    <style>
        table {
            font-family: arial, sans-serif;
            border-collapse: collapse;
            width: 100%;
        }

        td, th {
            border: 1px solid #dddddd;
            text-align: center;
            padding: 8px;
        }

        /*tr:nth-child(even) {
            background-color: #dddddd;
        }*/
    </style>
</head>


<table class="table">
    <tr>
       
        @*<th>
            @Html.DisplayNameFor(model => model.productId)
        </th>*@
        <th>
            @*@Html.DisplayNameFor(model => model.productName)*@
            Item
        </th>
        <th>
            @*@Html.DisplayNameFor(model => model.productDescription)*@
            Description
        </th>
        @*<th>
                @Html.DisplayNameFor(model => model.productCategory)
            </th>*@
        <th>
            @*@Html.DisplayNameFor(model => model.biddingEndDate)*@
            Bidding end date
        </th>
        <th></th>
    </tr>

    @foreach (var item in Model)
    {
        <tr>

            @*<td>
                    @Html.DisplayFor(modelItem => item.productId)
                </td>*@
            <td>
                @Html.DisplayFor(modelItem => item.productName)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.productDescription)
            </td>
            @*<td>
                    @Html.DisplayFor(modelItem => item.productCategory)
                </td>*@
            <td>
                @Html.DisplayFor(modelItem => item.BiddingEndDateLocal)
            </td>
            <td>
                @Html.ActionLink("Make a bid", "Create", "Bids", new { ProductId = item.productId}, new{ @class = "btn btn-sm btn-info" })
            </td>
        </tr>
    }

</table>
